- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
efl::eo::detail::extension_inheritance< evas::selectable_interface >::type< U > Struct Template Reference

## Public Member Functions
| operator evas::selectable_interface () const
template<typename F >
::efl::eo::signal_connection | callback_selected_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_selected_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_unselected_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_unselected_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_selection_paste_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_selection_paste_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_selection_copy_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_selection_copy_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_selection_cut_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_selection_cut_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_selection_start_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_selection_start_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_selection_changed_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_selection_changed_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_selection_cleared_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_selection_cleared_call (T *info)